Package org.h2.command

# Class CommandRemote

java.lang.Object
org.h2.command.CommandRemote

All Implemented Interfaces:
  `AutoCloseable`, `CommandInterface`

public class CommandRemote extends Object implements CommandInterface
Represents the client-side part of a SQL statement. This class is not used in embedded mode.

## Field Summary

### Fields inherited from interface org.h2.command.CommandInterface

`ALTER_DOMAIN_ADD_CONSTRAINT, ALTER_DOMAIN_DEFAULT, ALTER_DOMAIN_DROP_CONSTRAINT, ALTER_DOMAIN_ON_UPDATE, ALTER_DOMAIN_RENAME, ALTER_DOMAIN_RENAME_CONSTRAINT, ALTER_INDEX_RENAME, ALTER_SCHEMA_RENAME, ALTER_SEQUENCE, ALTER_TABLE_ADD_COLUMN, ALTER_TABLE_ADD_CONSTRAINT_CHECK, ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY, ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL, ALTER_TABLE_ADD_CONSTRAINT_UNIQUE, ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE, ALTER_TABLE_ALTER_COLUMN_DEFAULT, ALTER_TABLE_ALTER_COLUMN_DEFAULT_ON_NULL, ALTER_TABLE_ALTER_COLUMN_DROP_EXPRESSION, ALTER_TABLE_ALTER_COLUMN_DROP_IDENTITY, ALTER_TABLE_ALTER_COLUMN_DROP_NOT_NULL, ALTER_TABLE_ALTER_COLUMN_NOT_NULL, ALTER_TABLE_ALTER_COLUMN_ON_UPDATE, ALTER_TABLE_ALTER_COLUMN_RENAME, ALTER_TABLE_ALTER_COLUMN_SELECTIVITY, ALTER_TABLE_ALTER_COLUMN_VISIBILITY, ALTER_TABLE_DROP_COLUMN, ALTER_TABLE_DROP_CONSTRAINT, ALTER_TABLE_RENAME, ALTER_TABLE_RENAME_CONSTRAINT, ALTER_TABLE_SET_REFERENTIAL_INTEGRITY, ALTER_TYPE, ALTER_USER_ADMIN, ALTER_USER_RENAME, ALTER_USER_SET_PASSWORD, ALTER_VIEW, ANALYZE, BACKUP, BEGIN, CALL, CHECKPOINT, CHECKPOINT_SYNC, COMMENT, COMMIT, COMMIT_TRANSACTION, CREATE_AGGREGATE, CREATE_ALIAS, CREATE_CONSTANT, CREATE_DOMAIN, CREATE_INDEX, CREATE_LINKED_TABLE, CREATE_MATERIALIZED_VIEW, CREATE_ROLE, CREATE_SCHEMA, CREATE_SEQUENCE, CREATE_SYNONYM, CREATE_TABLE, CREATE_TRIGGER, CREATE_USER, CREATE_VIEW, DEALLOCATE, DELETE, DROP_AGGREGATE, DROP_ALIAS, DROP_ALL_OBJECTS, DROP_CONSTANT, DROP_DOMAIN, DROP_INDEX, DROP_MATERIALIZED_VIEW, DROP_ROLE, DROP_SCHEMA, DROP_SEQUENCE, DROP_SYNONYM, DROP_TABLE, DROP_TRIGGER, DROP_USER, DROP_VIEW, EXECUTE, EXECUTE_IMMEDIATELY, EXPLAIN, EXPLAIN_ANALYZE, GRANT, HELP, INSERT, MERGE, NO_OPERATION, PREPARE, PREPARE_COMMIT, REFRESH_MATERIALIZED_VIEW, REPLACE, REVOKE, ROLLBACK, ROLLBACK_TO_SAVEPOINT, ROLLBACK_TRANSACTION, RUNSCRIPT, SAVEPOINT, SCRIPT, SELECT, SET, SET_AUTOCOMMIT_FALSE, SET_AUTOCOMMIT_TRUE, SHUTDOWN, SHUTDOWN_COMPACT, SHUTDOWN_DEFRAG, SHUTDOWN_IMMEDIATELY, TRUNCATE_TABLE, UNKNOWN, UPDATE`

## Constructor Summary

Constructors
Constructor
Description
`CommandRemote(SessionRemote session, ArrayList<Transfer> transferList, String sql)`

## Method Summary

Modifier and Type
Method
Description
`void`
`cancel()`
Cancel this current statement.
`void`
`close()`
Close the statement.
`BatchResult`
`executeBatchUpdate(ArrayList<Value[]> batchParameters, Object generatedKeysRequest)`
Executes the statement with multiple sets of parameters.
`ResultInterface`
`executeQuery(long maxRows, int fetchSize, boolean scrollable)`
Execute the query.
`ResultWithGeneratedKeys`
`executeUpdate(Object generatedKeysRequest)`
Execute the statement
`int`
`getCommandType()`
Get command type.
`ResultInterface`
`getMetaData()`
Get an empty result set containing the meta data of the result.
`ArrayList<ParameterInterface>`
`getParameters()`
Get the parameters (if any).
`boolean`
`isQuery()`
Check if this is a query.
`void`
`stop(boolean commitIfAutoCommit)`
Stop the command execution, release all locks and resources.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandRemote

public CommandRemote(SessionRemote session, ArrayList<Transfer> transferList, String sql)

## Method Details

### stop

public void stop(boolean commitIfAutoCommit)
Description copied from interface: `CommandInterface`
Stop the command execution, release all locks and resources.

Specified by:
  `stop` in interface `CommandInterface`
Parameters:
  `commitIfAutoCommit` - commit the session if auto-commit is enabled

### isQuery

public boolean isQuery()
Description copied from interface: `CommandInterface`
Check if this is a query.

Specified by:
  `isQuery` in interface `CommandInterface`
Returns:
  true if it is a query

### getParameters

public ArrayList<ParameterInterface> getParameters()
Description copied from interface: `CommandInterface`
Get the parameters (if any).

Specified by:
  `getParameters` in interface `CommandInterface`
Returns:
  the parameters

### getMetaData

public ResultInterface getMetaData()
Description copied from interface: `CommandInterface`
Get an empty result set containing the meta data of the result.

Specified by:
  `getMetaData` in interface `CommandInterface`
Returns:
  the empty result

### executeQuery

public ResultInterface executeQuery(long maxRows, int fetchSize, boolean scrollable)
Description copied from interface: `CommandInterface`
Execute the query.

Specified by:
  `executeQuery` in interface `CommandInterface`
Parameters:
  `maxRows` - the maximum number of rows returned
  `fetchSize` - the number of rows to fetch (for remote commands only)
  `scrollable` - if the result set must be scrollable
Returns:
  the result

### executeUpdate

public ResultWithGeneratedKeys executeUpdate(Object generatedKeysRequest)
Description copied from interface: `CommandInterface`
Execute the statement

Specified by:
  `executeUpdate` in interface `CommandInterface`
Parameters:
  `generatedKeysRequest` - `null` or `false` if generated keys are not needed, `true` if generated keys should be configured automatically, `int[]` to specify column indices to return generated keys from, or `String[]` to specify column names to return generated keys from
Returns:
  the update count and generated keys, if any

### executeBatchUpdate

public BatchResult executeBatchUpdate(ArrayList<Value[]> batchParameters, Object generatedKeysRequest)
Description copied from interface: `CommandInterface`
Executes the statement with multiple sets of parameters.

Specified by:
  `executeBatchUpdate` in interface `CommandInterface`
Parameters:
  `batchParameters` - batch parameters
  `generatedKeysRequest` - `null` or `false` if generated keys are not needed, `true` if generated keys should be configured automatically, `int[]` to specify column indices to return generated keys from, or `String[]` to specify column names to return generated keys from
Returns:
  result of batch execution

### close

public void close()
Description copied from interface: `CommandInterface`
Close the statement.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `CommandInterface`

### cancel

public void cancel()
Cancel this current statement.

Specified by:
  `cancel` in interface `CommandInterface`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getCommandType

public int getCommandType()
Description copied from interface: `CommandInterface`
Get command type.

Specified by:
  `getCommandType` in interface `CommandInterface`
Returns:
  one of the constants above